Bug 16991 - Add subtitle to holds to pull report
Summary: Add subtitle to holds to pull report
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-28 14:57 UTC by Nicole C. Engard
Modified: 2017-06-14 22:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16991 - Add subtitle to holds to pull report (2.56 KB, patch)
2016-08-09 14:17 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16991: Add subtitle to holds to pull report (2.66 KB, patch)
2016-08-11 14:53 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16991: Add subtitle to holds to pull report (2.72 KB, patch)
2016-08-12 11:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16991: Add subtitle to holds to pull report (2.69 KB, patch)
2016-10-28 19:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16991: Add subtitle to holds to pull report (2.67 KB, patch)
2016-10-31 10:45 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2016-07-28 14:57:15 UTC
The subtitle should show on the holds to pull list.  I recommend adding the keyword to marc mapping to this page.
Comment 1 Owen Leonard 2016-08-09 14:17:47 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-08-11 14:53:30 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-12 11:51:02 UTC
Created attachment 54370 [details] [review]
Bug 16991: Add subtitle to holds to pull report

This patch adds output of subtitle to the holds to pull report using
keyword to MARC mapping information.

To test, apply the patch and go to Circulation -> Holds to pull. The
list of holds to pull should display subtitles.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Subtitle added using keyword to MARC mapping with default framework.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-08-18 16:08:24 UTC
I'm sorry to ask this, but could you update your patch to use Koha::Biblio->subtitles to get this list of subtitles? That way we aren't duplicating logic.
Comment 5 Nick Clemens 2016-10-28 19:21:13 UTC
Created attachment 56967 [details] [review]
Bug 16991: Add subtitle to holds to pull report

This patch adds output of subtitle to the holds to pull report using
keyword to MARC mapping information.

To test, apply the patch and go to Circulation -> Holds to pull. The
list of holds to pull should display subtitles.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Subtitle added using keyword to MARC mapping with default framework.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Nick Clemens 2016-10-31 10:45:40 UTC
Created attachment 56991 [details] [review]
Bug 16991: Add subtitle to holds to pull report

This patch adds output of subtitle to the holds to pull report using
keyword to MARC mapping information.

To test, apply the patch and go to Circulation -> Holds to pull. The
list of holds to pull should display subtitles.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Subtitle added using keyword to MARC mapping with default framework.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2016-11-02 10:58:17 UTC
Pushed to master for 16.11, thanks Owen!
Comment 8 Mason James 2016-12-14 10:05:44 UTC
Pushed to 16.05.x, for 16.05.06 release